p7zip(1)

NAME
p7zip - Wrapper on 7-Zip file archiver with high compression ratio

SYNOPSIS
p7zip [-c|--stdout|--to-stdout] [-d|--decompress|--uncompress] [-f|--force] [-h|--help] [-k|--keep] [--] [file ...]

DESCRIPTION
7-Zip is a file archiver supporting 7z (that implements LZMA compression algorithm featuring very high compression ratio), LZMA2, XZ, ZIP, Zip64, CAB, RAR (if the non-free p7zip-rar package is installed), ARJ, GZIP, BZIP2, TAR, CPIO, RPM, ISO, most filesystem images and DEB formats. Compression ratio in the new 7z format is 30-50% better than ratio in ZIP format.

p7zip is a gzip-like CLI wrapper script for 7-Zip, and handles only the 7z format (the native format of 7-Zip), internally executing either 7za(1) or 7zr(1) command.

With no switches passed in the command line, each given file argument is compressed into file.7z, and then removed.

With the -d switch each passed file needs to end with the .7z extension and is decompressed. After the decompression the original file is removed unless it contained more than one archived file.

When used without any file argument, p7zip reads data from the standard input and compresses (or decompresses in case of -d) it into the standard output.

SWITCHES

-c, --stdout, --to-stdout
    Write output on standard output.

-d, --decompress, --uncompress
    Decompress file.

-f, --force
    Skip some checks and force compression or decompression.

-h, --help
    Print usage.

-k, --keep
    Do not delete input file.

--  Treat all subsequent arguments as file names, even if they start with a dash.

SEE ALSO
7z(1), 7za(1), 7zr(1), bzip2(1), gzip(1), zip(1)

AUTHOR
Written for Debian by Mohammed Adnene Trojette. Updated by Robert Luberda.